package com.olexyn.ensync.web;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class Controller {

    private final EnsyncService ensyncService;
    
    
    @Autowired
    public Controller(
        EnsyncService ensyncService
    ){
        this.ensyncService = ensyncService;
    }

    @PostMapping("/ensync")
    public ResponseEntity<String> triageUnsubscribable() {
        try {
            ensyncService.ensync();
        } catch (Exception e) {
            return ResponseEntity.badRequest().build();
        }
        return ResponseEntity.ok().build();
    }




}
